<? 
 /*SCRIPT PARA ALMACENAR LAS NOTAS DE UNA UNIDAD DE CADA ALUMNO*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
include("../fnc.php");
enlinea_a();
if(!$tipo_trn){
  alert("Parámetros incorrectos","frm_login.php");
}
  
$txtarchivo=$_FILES['txtarchivo']['tmp_name'];

switch ($tipo_trn){
case "Add":
  if(!$txtarchivo){
    alert("Debe seleccionar un archivo!","javascript:history.go(-1)");
  }
     $extension=strtolower(substr($_FILES['txtarchivo']['name'],-3));
     switch($extension){
      case "pdf":
      case "doc":
      case "xls":
      case "pdf":
      case "ppt":
      case "pps":
      case "zip":
      case "txt":
      case "jpg":
      case "gif":
      case "rar":
      break;
      default: alert("Extensión de archivo inválida","javascript:history.go(-1)");
     }
     $id_cr=dec($cid);
     $id_gr=dec($gid);
     $id_se=dec($sid);
     $fechaup=fechabd($txtfecha);
     
     $narchivo=$_FILES['txtarchivo']['name'];
     $tmparchivo=$txtarchivo;
     $narchivo=del_tildes($narchivo);
     $qver=mysql_query("select * from circulares
                        where 
                        archivo = '$narchivo'
                        and grado = $id_gr");
                        
     $file="/circulares/$id_gr/$narchivo";
     @mkdir("../circulares",0777);
     @mkdir("../circulares/$id_gr",0777);
     @copy($txtarchivo,"../circulares/$id_gr/$narchivo");
     
     if( !file_exists("../circulares/$id_gr/$narchivo") ){
       alert("El archivo no fue cargado, intente de nuevo","frm_circulares.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
     }
     
     if(!$txtlimite){
       $f_limite='N';
       $f_del="";
       $f_al="";
     }
     else{
       $f_limite='S';
       $f_del="$txtdyear-$txtdmes-$txtddia";
       $f_al="$txthyear-$txthmes-$txthdia";
     }
     if(mysql_num_rows($qver)==0){
      $ins=runsql("insert into
                        circulares
                        set archivo='$narchivo',
                        descripcion='$txtdescripcion',
                        seccion='$id_se',
                        usuario='$uuser',
                        curso='$id_cr',
                        grado='$id_gr',
                        fecha_cargado ='$fechahora',
                        fecha='$fechaup',
                        f_limite='$f_limite',
                        descargas=0,
                        del='$f_del',
                        al='$f_al',
                        tipo = '$txttipo'
                        ");
      if($ins){
       alert("Archivo Cargado\\n\\n$narchivo","frm_circulares.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
      }
     }else{
      $upd=mysql_query("update
                        circulares
                        set descripcion='$txtdescripcion',
                        tipo = '$txttipo'
                        where
                        curso=''
                        and grado='$id_gr'
                        and archivo = '$narchivo'");
      if($upd){
       alert("El archivo ya existía y fue reemplazado","frm_circulares.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
      }
     }
break; // fin de Add

case "Delete":
        $id_cr=dec($idc);
        //echo "select * from circulares where id = '$id_cr'";
        $q=mysql_query("select * from circulares where id = '$id_cr'");
        $info=mysql_fetch_array($q);
        //echo $info[archivo];
        unlink("../circulares/{$info[grado]}/{$info[archivo]}");
        $del=mysql_query("delete from circulares where id = '$id_cr'");
        
        header("Location: ./frm_circulares.php?gid=$gid");
        
        
break;
case "Update":

      $id_ar=dec($idc);
      $upfecha=fechabd($txtfecha);
      if(!$txtlimite){
       $txtlimite="N";
      }
      $f_limite=$txtlimite;
      $f_del="$txtdyear-$txtdmes-$txtddia";
      $f_al="$txthyear-$txthmes-$txthdia";
//      echo $f_del." ".$f_al;
//      exit();
      $upd=runsql("update
                        circulares
                        set
                        descripcion='$txtdescripcion',
                        usuario='$uuser',
                        f_limite='$f_limite',
                        del='$f_del',
                        al='$f_al',
                        tipo = '$txttipo',
                        fecha='$upfecha'
                        
                        where id = '$id_ar'");
      
        alert("Archivo actualizado con éxito","frm_circulares.php?gid=$gid");

break;
}

?>
